package pps.core.task.job;

import pps.cloud.transfer.service.TransferService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * @author lixueyan
 * @date 2023/1/30 0030 11:19
 */
@XText("日指定失败重试任务")
@XService
public class TransferRzdRetryJob implements XJob {

    @XCronTrigger(value = XCronTrigger.PRE_30S)
    @Override
    public XServiceResult execute(XContext context) {
        TransferService transferService = context.getBean(TransferService.class);
        transferService.dealRzdErrorRecords(context);
        return XServiceResult.OK;
    }
}
