-- 添加批次月计划附件信息表
--pps_dispatch start

CREATE TABLE pps_dispatch.batch_monthly_plan_appendix (
                                                          id varchar(40) NOT NULL,
                                                          m_ou_id varchar(40) NULL,
                                                          m_ou_name varchar(100) NULL,
                                                          data_date smalldatetime NULL,
                                                          station_id varchar(40) NULL,
                                                          station_name varchar(100) NULL,
                                                          batch_no varchar(100) NULL,
                                                          create_time smalldatetime NULL,
                                                          create_by_id varchar(40) NULL,
                                                          create_by_name varchar(100) NULL,
                                                          modify_time smalldatetime NULL,
                                                          modify_by_id varchar(40) NULL,
                                                          modify_by_name varchar(100) NULL,
                                                          reserve1 varchar(100) NULL,
                                                          reserve2 varchar(100) NULL,
                                                          reserve3 varchar(100) NULL,
                                                          reserve4 varchar(100) NULL,
                                                          reserve5 varchar(100) NULL,
                                                          CONSTRAINT batch_monthly_plan_appendix_pk PRIMARY KEY (id)
);
COMMENT ON TABLE pps_dispatch.batch_monthly_plan_appendix IS '批次月计划附件信息表';

-- Column comments

COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.m_ou_id IS '填报单位id';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.m_ou_name IS '填报单位名字';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.data_date IS '单据提交时间';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.station_id IS '场站id';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.station_name IS '场站名字';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.batch_no IS '批次号';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.create_time IS '创建时间';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.create_by_id IS '创建人id';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.modify_time IS '修改时间';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.modify_by_id IS '修改人id';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.reserve1 IS '备用字段1';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.reserve2 IS '备用字段2';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.reserve3 IS '备用字段3';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.reserve4 IS '备用字段4';
COMMENT ON COLUMN pps_dispatch.batch_monthly_plan_appendix.reserve5 IS '备用字段5';
GRANT DELETE, REFERENCES, TRIGGER, SELECT, TRUNCATE, INSERT, UPDATE ON TABLE pps_dispatch.batch_monthly_plan_appendix TO root;


--装车日指定增加锁定状态
ALTER TABLE pps_dispatch.disp_lng_en_d_des_det ADD lock_state int1 NULL DEFAULT 0;
COMMENT ON COLUMN pps_dispatch.disp_lng_en_d_des_det.lock_state IS '锁定状态（0 未锁定 1 锁定）';

--pps_dispatch end
