ALTER TABLE pps_dispatch.disp_task_plan_bpm ADD task_source int4 NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.task_source IS '作业计划来源';
ALTER TABLE pps_dispatch.disp_task_plan_bpm ADD pipeline_level int4 NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.pipeline_level IS '管线级别';
ALTER TABLE pps_dispatch.disp_task_plan_bpm ADD is_submit int4 NULL DEFAULT 1;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.is_submit IS '是否直接提交（适用IMS作业）';


ALTER TABLE pps_dispatch.disp_task_plan_batch ADD task_source int4 NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.task_source IS '作业计划来源';
ALTER TABLE pps_dispatch.disp_task_plan_batch ADD pipeline_level int4 NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.pipeline_level IS '管线级别';


COMMENT ON COLUMN pps_dispatch.disp_task_plan.ack_ims_status IS '通知ims状态（0：不可通知，1：未通知，2：通知成功，3：通知失败）';

ALTER TABLE pps_interface.pps_old_ims_task_plan ADD transfer_time timestamp NULL;
COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.transfer_time IS '转换时间';
ALTER TABLE pps_interface.pps_old_ims_task_plan ADD error_msg varchar NULL;
COMMENT ON COLUMN pps_interface.pps_old_ims_task_plan.error_msg IS '错误信息';



--pps_base_info start
--小型计量器具台账修正系数表测量高度、修正值数据类型修改为数值
ALTER TABLE pps_base_info.base_small_metering_fix_coefficient ALTER COLUMN measure_value TYPE numeric(15, 5) USING measure_value::numeric;
ALTER TABLE pps_base_info.base_small_metering_fix_coefficient ALTER COLUMN fix_value TYPE numeric(15, 5) USING fix_value::numeric;
--pps_base_info end



ALTER TABLE pps_dispatch.disp_task_plan_bpm ALTER COLUMN pipeline_level TYPE varchar(40) USING pipeline_level::varchar;

ALTER TABLE pps_dispatch.disp_task_plan_batch ADD process_code varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.process_code IS '流程编码';
ALTER TABLE pps_dispatch.disp_task_plan_batch ADD approval_last_ou_level varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.approval_last_ou_level IS '最后审批的组织机构层级';

ALTER TABLE pps_dispatch.disp_task_plan ADD pipeline_level varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan.pipeline_level IS '管线级别';
